class BreakPeriod {
    static fromString(str) {
      let [eventType, startTime, endTime] = str.split(",");
      return new BreakPeriod(
        eventType,
        parseInt(startTime),
        parseInt(endTime));
    }
  
    constructor(eventType = 2, startTime = 0, endTime = 1000) {
      this.eventType = eventType;
      this.startTime = startTime;
      this.endTime = endTime;
    }
  
    toString() {
      return [
        this.eventType,
        this.startTime,
        this.endTime
      ].join(",");
    }
  
    clone() {
      return new BreakPeriod(
        this.eventType,
        this.startTime,
        this.endTime);
    }
}
exports.BreakPeriod = BreakPeriod;